Bug 142035 - Upgrade of gdm overwrites user-modified gdm.conf file
Upgrade of gdm overwrites user-modified gdm.conf file
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
3
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 15:40 EST by Aaron Gaudio
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:11:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aaron Gaudio 2004-12-06 15:40:30 EST
Description of problem:
Prior to upgrading to FC3, I had turned ON allowing remote
connections. After upgrading gdm along to FC3 level, gdm.conf was
overwritten (my copy backed up to an rpmsave). I believe the new conf
should have been created as an rpmnew file and the existing conf
preserved as is. This is something not really noticeable when
upgrading a few hundred rpms, and when once find out that your display
is not allowing remote connections, the only way to enable them is to
log out, which is highly disruptive.

Version-Release number of selected component (if applicable):
gdm-2.6.0.5-6

How reproducible:
Always

Steps to Reproduce:
1. Upgrade the gdm package.
  
Actual results:
/etc/X11/gdm/gdm.conf (and other config files) are overwritten.
Modified copies are saved as .rpmsave backups.

Expected results:
New copy of /etc/X11/gdm/gdm.conf is created as an .rpmnew file and
the existing config is left untouched.

Additional info:
Comment 1 Ralf Ertzinger 2005-02-12 09:29:54 EST
I'll second that. It is very annoying.
Comment 2 Ray Strode [halfline] 2005-02-14 11:51:32 EST
Hi Aaron,

Unfortunately, in the past, we have found that the gdm configuration
format is not stable and changes whenever necessary from release to
release.  This means that using a user's preexisting configuration
when upgrading can cause the system to end up with a configuration
that won't work with the new version installed.

The format may have stabilized recently.  The last supported release
of Fedora Core is FC2, so if the format hasn't changed between FC2 and
the current version of gdm, I may be able to change it in rawhide.  If
I do make the configuration file be retained, however, there is always
the risk that the format of the configuration file could change in an
incompatible way in the future and things would break.
Comment 3 Ray Strode [halfline] 2005-05-13 16:06:30 EDT
This probably isn't an issue anymore actually. I'll probably change it after FC4.
Comment 4 Matthew Miller 2006-07-10 18:24:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-11-05 11:11:33 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.